### Constructor

# Dex Future new_for_error

#### Declaration [src]

    DexFuture*
    dex_future_new_for_error (
      GError* error
    )

#### Description [src]

Creates a read-only `DexFuture` that has rejected.

#### Parameters

`error`

  Type: `GError`

  A `GError`.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.